Change from 3.0.6 => Rails 3.0.7 "no such file to load -- action_mailer/railtie"

In my application.rb, I have this:

#require “rails/all”
require “action_controller/railtie”
require “action_mailer/railtie”
require “active_resource/railtie”
require “active_model/railtie”

(I didn’t want ActiveRecord) This worked fine up to 3.0.6, but now fails
with:

/Users/jeffdeville/Documents/code/ruby/wg/config/application.rb:6:in
require': no such file to load -- action_mailer/railtie (LoadError) from /Users/jeffdeville/Documents/code/ruby/wg/config/application.rb:6:in<top (required)>’
from
/Users/jeffdeville/.rvm/gems/ruby-1.9.2-p180/gems/railties-3.0.7/lib/rails/commands.rb:28:in
require' from /Users/jeffdeville/.rvm/gems/ruby-1.9.2-p180/gems/railties-3.0.7/lib/rails/commands.rb:28:inblock in <top (required)>’
from
/Users/jeffdeville/.rvm/gems/ruby-1.9.2-p180/gems/railties-3.0.7/lib/rails/commands.rb:27:in
tap' from /Users/jeffdeville/.rvm/gems/ruby-1.9.2-p180/gems/railties-3.0.7/lib/rails/commands.rb:27:in<top (required)>’
from script/rails:6:in require' from script/rails:6:in

Suggestions please?

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs